<ng-container *ngIf="subject else loading_screen">
  <section class="content-header mb-4">
    <h1 class="page-head-line">
      QEH |
      <small>
        Add
      </small>
    </h1>
  </section>
  <section class="content">
    <div class="container-fluid mx-0">
      <ng-container *ngIf="QEH">
        <div class="row">

          <div class="col-lg-3 col-md-5 bg-white border p-0 mb-4">
            <div class="box box-primary rounded-0 shadow-none">

              <div class="box-body">
                <strong>SUBJECT</strong>
                <p class="text-muted pl-1 pt-3">
                  <strong>Code : </strong>{{ subject.subject?.subject_code }}
                </p>
                <p class="text-muted pl-1">
                  <strong>Name : </strong>{{ subject.subject?.subject_name }}
                </p>
                <p class="text-muted pl-1">
                  <strong>Description : </strong>{{ subject.subject?.description }}
                </p>
                <hr>

                <strong>SECTION</strong>
                <p class="text-muted pl-1 pt-3">
                  <strong>Code : </strong>{{ subject.head?.section?.section_code }}
                </p>
                <p class="text-muted pl-1">
                  <strong>Name : </strong>{{ subject.head?.section?.section_name }}
                </p>
                <hr>

                <strong>LEVEL</strong>
                <p class="text-muted pl-1 pt-3">
                  {{ subject.head?.section?.year_level?.level_name }}
                </p>

              </div>

            </div>
          </div>

          <div class="col-lg-9 col-md-7 pr-0 mb-4">
            <div class="card rounded-0">

              <div class="card-body">
                <form #QEHForm (ngSubmit)="save()">
                  <div class="row">

                    <div class="col-md-9 pl-4">
                      <div class="form-row mb-4">

                        <div class="col-md-6">
                          <label for="qeh_code" class="control-label mb-1">QEH Code</label>
                          <input type="text" [(ngModel)]="QEH.qeh_code" name="qeh_code" class="form-control form-control-sm" placeholder="QEH Code"
                            required>
                          <span class="text-danger" [hidden]="!error.qeh_code">{{ error.qeh_code }}</span>
                        </div>

                        <div class="col-md-6">
                          <label for="qeh_type" class="control-label mb-1">QEH Type</label>
                          <select [(ngModel)]="QEH.qeh_type" name="qeh_type" class="form-control form-control-sm">
                            <option [ngValue]="null" [selected]>Select type</option>
                            <option [ngValue]="category.Quiz">Quiz</option>
                            <option [ngValue]="category.Exam">Exam</option>
                            <option [ngValue]="category.Homework">Homework</option>
                            <option [ngValue]="category.Excercise">Excercise</option>
                          </select>
                          <span class="text-danger" [hidden]="!error.qeh_type">{{ error.qeh_type }}</span>
                        </div>

                      </div>

                      <div class="form-group">
                        <label for="qeh_description" class="control-label mb-1">Description</label>
                        <textarea [(ngModel)]="QEH.qeh_description" name="qeh_description" class="form-control form-control-sm" rows="4"></textarea>
                        <span class="text-danger" [hidden]="!error.qeh_description">{{ error.qeh_description }}</span>
                      </div>
                      <div class="form-row mt-4 mb-3">

                        <div class="col-md-6 p-0 mb-4">
                          <label for="release_date" class="control-label mb-1">Release date</label>
                          <input type="text" [(ngModel)]="QEH.release_date" name="release_date" class="form-control form-control-sm" [bsConfig]="bsConfig"
                            bsDatepicker placeholder="MM/DD/YYYY" required>
                          <span class="text-danger" [hidden]="!error.release_date">{{ error.release_date }}</span>
                        </div>

                        <div class="col-md-4 mb-4">
                          <label for="release_time" class="control-label mb-1">Release time</label>
                          <input [(ngModel)]="QEH.release_time" name="release_time" [ngxTimepicker]="release_picker" type="text" class="form-control form-control-sm"
                            placeholder="Release time">
                          <span class="text-danger" [hidden]="!error.release_time">{{ error.release_time }}</span>
                          <ngx-material-timepicker #release_picker></ngx-material-timepicker>
                        </div>

                        <div class="col-md-6 p-0 mb-4">
                          <label for="end_date" class="control-label mb-1">End date</label>
                          <input type="text" [(ngModel)]="QEH.end_date" name="end_date" class="form-control form-control-sm" [bsConfig]="bsConfig"
                            bsDatepicker placeholder="MM/DD/YYYY" required>
                          <span class="text-danger" [hidden]="!error.end_date">{{ error.end_date }}</span>
                        </div>

                        <div class="col-md-4 mb-4">
                          <label for="end_time" class="control-label mb-1">End time</label>
                          <input [(ngModel)]="QEH.end_time" name="end_time" [ngxTimepicker]="end_picker" type="text" class="form-control form-control-sm"
                            placeholder="End time">
                          <span class="text-danger" [hidden]="!error.end_time">{{ error.end_time }}</span>
                          <ngx-material-timepicker #end_picker></ngx-material-timepicker>
                        </div>

                      </div>

                    </div>
                    <div class="col-md-3">
                      <label for="end_date" class="control-label mb-1">QEH Content</label>
                      <br>
                      <span class="text-danger" [hidden]="!error.contents">{{ error.contents }}</span>
                      <div class="pt-2 pl-2">
                        <div class="checkbox">
                          <label>
                            <input type="checkbox" name="has_multiple_choice" [(ngModel)]="QEH.has_multiple_choice"> Multiple
                            choice
                          </label>
                        </div>
                        <div class="checkbox">
                          <label>
                            <input type="checkbox" name="has_identification" [(ngModel)]="QEH.has_identification"> Identification
                          </label>
                        </div>
                        <div class="checkbox">
                          <label>
                            <input type="checkbox" name="has_enumeration" [(ngModel)]="QEH.has_enumeration"> Enumeration
                          </label>
                        </div>
                        <div class="checkbox">
                          <label>
                            <input type="checkbox" name="has_true_false" [(ngModel)]="QEH.has_true_false"> True or False
                          </label>
                        </div>
                        <div class="checkbox">
                          <label>
                            <input type="checkbox" name="has_essay" [(ngModel)]="QEH.has_essay"> Essay
                          </label>
                        </div>
                      </div>

                      <label for="shuffle" class="control-label mb-1 mt-4">Options</label>
                      <div class="checkbox pl-2 pt-2">
                        <label>
                          <input type="checkbox" name="shuffle" [(ngModel)]="QEH.shuffle"> Shuffle
                        </label>
                      </div>

                      <label for="duration" class="control-label mb-1 mt-md-2">Duration | <small>in minutes</small></label>
                      <input type="text" [(ngModel)]="QEH.duration" name="duration" class="form-control form-control-sm" placeholder="Duration"
                        required>
                      <span class="text-danger" [hidden]="!error.duration">{{ error.duration }}</span>

                    </div>
                    <div class="col-md-12 mt-0">
                      <div class="float-right">
                        <button type="submit" class="btn btn-primary btn-sm btn-flat">
                          <span *ngIf="loading" class="fa fa-spinner fa-spin"></span>
                          Next &nbsp;
                          <span class="fa fa-angle-right"></span>
                        </button>
                        <button type="button" (click)="cancel()" class="btn btn-danger btn-sm btn-flat">Cancel</button>
                      </div>
                    </div>

                  </div>
                </form>
              </div>

            </div>
          </div>

        </div>
      </ng-container>
    </div>
  </section>
</ng-container>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>